# $Revision: 1.8 $, $Date: 2007-11-26 08:25:29 $
Summary:	Cpqarrayd - SmartArray controllers monitoring
Summary(pl.UTF-8):	Cpqarrayd - monitorowanie kontrolerów SmartArray
Name:		cpqarrayd
Version:	2.2
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.strocamp.net/opensource/compaq/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	d287d1ad9317443063aff1098f7bc4f4
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-headers.patch
URL:		http://www.strocamp.net/opensource/cpqarrayd.php
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	net-snmp-devel
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cpqarrayd monitors SmartArray controllers for you and notifies by
sending SNMP traps and via syslog.

%description -l pl.UTF-8
Cpqarrayd monitoruje kontrolery SmartArray i powiadamia przez
wysyłanie pułapek SNMP oraz sysloga.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/cpqarrayd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/cpqarrayd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cpqarrayd
%service cpqarrayd restart "Compaq RAID Array Monitor"

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del cpqarrayd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/cpqarrayd
%{_mandir}/man1/cpqarrayd.1*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/cpqarrayd
%attr(754,root,root) /etc/rc.d/init.d/cpqarrayd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cpqarrayd.spec,v $
Revision 1.8  2007-11-26 08:25:29  glen
- rel 1

Revision 1.7  2007-02-12 21:23:51  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.5  2006/03/09 14:35:48  glen
- %post/%postun scriptlets

Revision 1.4  2006/03/09 12:21:37  glen
- added init script

Revision 1.3  2006/03/09 10:38:30  qboosh
- updated to 2.2, added headers patch - builds now

Revision 1.2  2004/02/29 20:49:31  qboosh
- pl

Revision 1.1  2004/02/29 19:05:32  areq
- init PLD spec, NFY
